void ES1_4560()
{

	TStopwatch sw;
	sw.Start();

	BeAnalysis ana;

	ana.SetCMAngularRange(45, 60);

	//	ana.SetFigures("figures/", ".eps");

	//	ana.SetChainsToDraw(0, 0, 0, 0, 1, 1);
	ana.SetChainsToDraw();
	Bool_t epsilonT[6] = {0,0,1,0,0};
	Bool_t cosThetaT[6] = {0,0,1,0,0};

	Bool_t epsilonY[6] = {0,0,1,0,0};
	Bool_t cosThetaY[6] = {0,0,1,0,0};

	Bool_t thetaAT[6] = {0,0,1,0,0};


	ana.SetExpChain("../../../be/rootdata/correlations/v5_exp/Be.", 0, 40);

	const Long64_t eMaxEvents = 5000000;
	Long64_t eEvents[6] = {3150000, 3150000, 3150000, 3150000, 3150000, 3150000};
	ana.SetNoExpEvents(eEvents);

	const Long64_t sMaxEvents = 3000000;
	Long64_t sEvents[6] = {sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents};
	ana.SetNoSimEvents(sEvents);

	Int_t lowSimFile[6] = {0, 0, 0, 0, 0, 0};
	Int_t upSimFile[6] = {15, 15, 15, 15, 15, 15};
	ana.SetNoSimFiles(lowSimFile, upSimFile);

	ana.SetSimChains("../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_0_35-70_",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_0_35-70_",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_180_35-70_",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_180_35-70_",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_90_35-70_",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_90_35-70_");

	ana.SetInputChains("../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_0_35-70_000.root",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_0_35-70_000.root",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_180_35-70_000.root",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_180_35-70_000.root",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_90_35-70_000.root",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_90_35-70_000.root");


	ana.OpenExpChain();
	ana.OpenSimChains();


	ana.SetRatiosGStoEX("sRatio>0.05 && sRatio<0.095",
			"sRatio>0.05 && sRatio<0.095",
			"sRatio>0.05 && sRatio<0.095",
			"sRatio>0.05 && sRatio<0.095",
			"sRatio>0.05 && sRatio<0.095",
			"sRatio>0.05 && sRatio<0.095");

//	ana.SetRatiosGStoEX("sRatio>0.051 && sRatio<0.101",
//			"sRatio>0.050 && sRatio<0.100",
//			"sRatio>0.047 && sRatio<0.097",
//			"sRatio>0.048 && sRatio<0.098",
//			"sRatio>0.051 && sRatio<0.101",
//			"sRatio>0.051 && sRatio<0.101");
	ana.SetCuts();

	Long64_t eEventsECuts[5][6] = {/*1090000, 1060000, 1070000, 1090000, 1110000, 1100000,*/
										2900000, 2900000, 2900000, 2900000, 2900000, 2900000,
										3400000, 3400000, 3400000, 3500000, 3400000, 3400000,
										2400000, 2400000, 2400000, 2400000, 2400000, 2400000,
										2900000, 3000000, 2900000, 3000000, 2900000, 3000000,
										3200000, 3300000, 3300000, 3400000, 3300000, 3400000};
//	Long64_t eEventsECuts[5][6] = {3950000, 3950000, 3800000, 3850000, 3950000, 3900000,
//									eMaxEvents, eMaxEvents, 4100000, eMaxEvents, eMaxEvents, eMaxEvents,
//									3050000, 3150000, 3200000, 3200000, 3250000, 3350000,
//									3850000, 3950000, 3900000, 3900000, 4000000, 4000000,
//									4100000, 4100000, 4000000, 4100000, eMaxEvents, eMaxEvents};
	ana.ExpEventsECuts(eEventsECuts);

//	const Long64_t sMaxEvents = 3000000;

	Long64_t sEventsECuts[5][6] = {sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents};
//	Long64_t sEventsECuts[5][6] = {sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
//										sMaxEvents, 2630000, sMaxEvents, sMaxEvents, 2660000, 2660000,
//										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
//										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
//										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents};
	ana.SimEventsECuts(sEventsECuts);

	ana.SetRangeProportion(1.1, 1);

	///////////////////////////////////////////////////////////////////////////////////

	ana.SetSpectra();
	ana.Spectra();

	ana.SetEpsilonTintervals(epsilonT);
	//	ana.SetEpsilonTintervals();
	ana.EpsilonT();

	sw.Print();
	sw.Continue();

	ana.SetCosThetaTkIntervals(cosThetaT);
	//	ana.CosThetaTk();

	sw.Print();
	sw.Continue();

	ana.SetEpsilonYintervals(epsilonY);
	//	ana.EpsilonY();

	sw.Print();
	sw.Continue();

	ana.SetCosThetaYkIntervals(cosThetaY);
	//	ana.CosThetaYk();

	sw.Print();
	sw.Continue();

	ana.SetThetaATintervals(thetaAT);
	////	ana.SetThetaATintervals();
	//	ana.ThetaAT();

	sw.Print();
	sw.Continue();

	Info("ES1_90120.cxx", "Finished.");

	return;

}


